<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetAllResponse StructType
 * @subpackage Structs
 */
class GetAllResponse extends AbstractStructBase
{
    /**
     * The getAllResult
     * Meta information extracted from the WSDL
     * - ref: platformCore:getAllResult
     * @var \StructType\GetAllResult
     */
    public $getAllResult;
    /**
     * Constructor method for GetAllResponse
     * @uses GetAllResponse::setGetAllResult()
     * @param \StructType\GetAllResult $getAllResult
     */
    public function __construct(\StructType\GetAllResult $getAllResult = null)
    {
        $this
            ->setGetAllResult($getAllResult);
    }
    /**
     * Get getAllResult value
     * @return \StructType\GetAllResult|null
     */
    public function getGetAllResult()
    {
        return $this->getAllResult;
    }
    /**
     * Set getAllResult value
     * @param \StructType\GetAllResult $getAllResult
     * @return \StructType\GetAllResponse
     */
    public function setGetAllResult(\StructType\GetAllResult $getAllResult = null)
    {
        $this->getAllResult = $getAllResult;
        return $this;
    }
}
